VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "cLink"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Description = "A class that defines a hyperlink."
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Member0" ,"cLinks"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Option Explicit

'local variable(s) to hold property value(s)
Private mvarURL As String 'local copy
Private mvarDomain As String 'local copy
Private mvarRelativePath As String 'local copy
Private mvarFilename As String 'local copy
Private mvarcLinks As cLinks
'local variable(s) to hold property value(s)
Private mvarLinkText As String 'local copy
'local variable(s) to hold property value(s)
Private mvarFullText As String 'local copy
Public Property Let FullText(ByVal vData As String)
Attribute FullText.VB_Description = "Returns the full string value of the link"
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.FullText = 5
    mvarFullText = vData
End Property


Public Property Get FullText() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.FullText
    FullText = mvarFullText
End Property



Public Property Let LinkText(ByVal vData As String)
Attribute LinkText.VB_Description = "Returns the Link Text"
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.LinkText = 5
    mvarLinkText = vData
End Property


Public Property Get LinkText() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.LinkText
    LinkText = mvarLinkText
End Property





Public Property Get cLinks() As cLinks
    If mvarcLinks Is Nothing Then
        Set mvarcLinks = New cLinks
    End If


    Set cLinks = mvarcLinks
End Property


Public Property Set cLinks(vData As cLinks)
    Set mvarcLinks = vData
End Property
Private Sub Class_Terminate()
    Set mvarcLinks = Nothing
End Sub



Public Property Let Filename(ByVal vData As String)
Attribute Filename.VB_Description = "Returns the Filename of the URL"
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.Filename = 5
    mvarFilename = vData
End Property


Public Property Get Filename() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Filename
    Filename = mvarFilename
End Property



Public Property Let RelativePath(ByVal vData As String)
Attribute RelativePath.VB_Description = "Returns the relative path of the URL"
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.RelativePath = 5
    mvarRelativePath = vData
End Property


Public Property Get RelativePath() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.RelativePath
    RelativePath = mvarRelativePath
End Property



Public Property Let Domain(ByVal vData As String)
Attribute Domain.VB_Description = "Returns the domain of the hyperlink"
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.Domain = 5
    mvarDomain = vData
End Property


Public Property Get Domain() As String
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Domain
    Domain = mvarDomain
End Property



Public Property Let URL(ByVal vData As String)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.URL = 5
    mvarURL = vData
End Property


Public Property Get URL() As String
Attribute URL.VB_Description = "Returns/Sets the URL of the Hyperlink"
Attribute URL.VB_UserMemId = 0
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.URL
    URL = mvarURL
End Property



