VERSION 5.00
Begin VB.Form frmINetConnection_Test 
   Caption         =   "frmINetConnection_Test"
   ClientHeight    =   7890
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6255
   LinkTopic       =   "Form1"
   ScaleHeight     =   7890
   ScaleWidth      =   6255
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame fraHTML 
      Caption         =   "HTML"
      Height          =   6180
      Left            =   45
      TabIndex        =   10
      Top             =   1620
      Width           =   6135
      Begin VB.TextBox txtDescription 
         Height          =   780
         Left            =   90
         MultiLine       =   -1  'True
         ScrollBars      =   3  'Both
         TabIndex        =   20
         Top             =   5310
         Width           =   5910
      End
      Begin VB.TextBox txtKeywords 
         Height          =   780
         Left            =   90
         MultiLine       =   -1  'True
         ScrollBars      =   3  'Both
         TabIndex        =   18
         Top             =   4275
         Width           =   5910
      End
      Begin VB.TextBox txtBody 
         Height          =   960
         Left            =   90
         MultiLine       =   -1  'True
         ScrollBars      =   3  'Both
         TabIndex        =   16
         Top             =   3060
         Width           =   5955
      End
      Begin VB.TextBox txtHead 
         Height          =   960
         Left            =   90
         MultiLine       =   -1  'True
         ScrollBars      =   3  'Both
         TabIndex        =   14
         Top             =   1845
         Width           =   5955
      End
      Begin VB.TextBox txtHTML 
         Height          =   1050
         Left            =   90
         MultiLine       =   -1  'True
         ScrollBars      =   3  'Both
         TabIndex        =   11
         Top             =   495
         Width           =   5955
      End
      Begin VB.Label lblDescription 
         Caption         =   "lblDescription"
         Height          =   240
         Left            =   90
         TabIndex        =   19
         Top             =   5085
         Width           =   5730
      End
      Begin VB.Label lblKeywords 
         Caption         =   "lblKeywords"
         Height          =   240
         Left            =   90
         TabIndex        =   17
         Top             =   4050
         Width           =   5550
      End
      Begin VB.Label lblBody 
         Caption         =   "<BODY>"
         Height          =   195
         Left            =   90
         TabIndex        =   15
         Top             =   2835
         Width           =   690
      End
      Begin VB.Label lblHead 
         Caption         =   "<HEAD>"
         Height          =   195
         Left            =   90
         TabIndex        =   13
         Top             =   1575
         Width           =   735
      End
      Begin VB.Label lblWholeDoc 
         Caption         =   "Whole Document"
         Height          =   195
         Left            =   90
         TabIndex        =   12
         Top             =   270
         Width           =   1320
      End
   End
   Begin VB.CheckBox chkURLExists 
      Caption         =   "chkURLExists"
      Height          =   240
      Left            =   45
      TabIndex        =   9
      Top             =   1305
      Width           =   1860
   End
   Begin VB.CheckBox chkGetText 
      Caption         =   "chkGetText"
      Height          =   240
      Left            =   1980
      TabIndex        =   8
      Top             =   1305
      Width           =   2625
   End
   Begin VB.CommandButton cmdGetURL 
      Caption         =   "cmdGetURL"
      Height          =   375
      Left            =   4860
      TabIndex        =   7
      Top             =   900
      Width           =   1275
   End
   Begin VB.TextBox txtURL 
      Height          =   330
      Left            =   1980
      TabIndex        =   6
      Text            =   "http://www.microsoft.com"
      Top             =   945
      Width           =   2670
   End
   Begin VB.CommandButton cmdConnect 
      Caption         =   "cmdConnect"
      Height          =   375
      Left            =   4860
      TabIndex        =   4
      Top             =   90
      Width           =   1275
   End
   Begin VB.Label lblURL 
      Caption         =   "lblURL"
      Height          =   240
      Left            =   90
      TabIndex        =   5
      Top             =   990
      Width           =   1770
   End
   Begin VB.Line Line1 
      X1              =   45
      X2              =   6165
      Y1              =   855
      Y2              =   855
   End
   Begin VB.Label lblConnectModeDesc 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "lblConnectModeDesc"
      Height          =   285
      Left            =   1980
      TabIndex        =   3
      Top             =   450
      Width           =   2670
   End
   Begin VB.Label lblConnectMode 
      BorderStyle     =   1  'Fixed Single
      Caption         =   "lblConnectMode"
      Height          =   285
      Left            =   1980
      TabIndex        =   2
      Top             =   90
      Width           =   2670
   End
   Begin VB.Label lbllblConnectModeDesc 
      Caption         =   "lbllblConnectModeDesc"
      Height          =   240
      Left            =   90
      TabIndex        =   1
      Top             =   495
      Width           =   1770
   End
   Begin VB.Label lbllblConnectMode 
      Caption         =   "lbllblConnectMode"
      Height          =   240
      Left            =   90
      TabIndex        =   0
      Top             =   135
      Width           =   1770
   End
End
Attribute VB_Name = "frmINetConnection_Test"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim mobjNetConnect      As cINetConnection
Dim mobjURL             As cURL

Private Sub cmdConnect_Click()

    Dim lnghINet        As Long
    
    Set mobjNetConnect = New cINetConnection
    
    ' Attempt to connect to the internet
    lnghINet = mobjNetConnect.Connect
    
    If lnghINet = 0 Then
        ' Must do a dial up connection
        ' TODO
        MsgBox "Dial Up required!"
    End If
    
    ' Get the Connection flags
    With mobjNetConnect
        lblConnectMode.Caption = .ConnectionMode
        lblConnectModeDesc.Caption = .ConnectionModeText
    End With
    
    If mobjNetConnect.Connected = True Then
        txtURL.Enabled = True
        cmdGetURL.Enabled = True
        chkGetText.Enabled = True
    End If
    
End Sub


Private Sub cmdGetURL_Click()

    Set mobjURL = New cURL
    
    With mobjURL
        .hInet = mobjNetConnect.hInet
        .URL = txtURL.Text
        If .VerifyExistance = True Then
            chkURLExists.Value = vbChecked
        Else
            chkURLExists.Value = vbUnchecked
        End If
        
        If chkGetText.Value = vbChecked Then
            .GetText
            txtHTML.Text = .HTMLText
            txtHead.Text = .HeadText
            txtBody.Text = .BodyText
            txtKeywords.Text = .Keywords
            txtDescription.Text = .Description
        End If
        
        .GetLinks
    End With
End Sub

Private Sub Form_Load()

    Me.Caption = "cNetConnect Test Application"
    cmdConnect.Caption = "&Connect"
    lbllblConnectMode.Caption = "Connect Mode:"
    lbllblConnectModeDesc.Caption = "Connect Mode Text:"
    lblConnectMode.Caption = "Not Connected"
    lblConnectModeDesc.Caption = "Not Connected"
    lblURL.Caption = "&URL :"
    txtURL.Enabled = False
    cmdGetURL.Enabled = False
    cmdGetURL.Caption = "&Get URL Info"
    chkGetText.Caption = "&Retrieve URL Text"
    chkGetText.Enabled = False
    chkURLExists.Enabled = False
    chkURLExists.Caption = "URL does exist!"
    fraHTML.Caption = "HTML"
    txtHTML.Text = ""
    txtHead.Text = ""
    txtBody.Text = ""
    txtKeywords.Text = ""
    txtDescription.Text = ""
    lblWholeDoc.Caption = "Whole Document"
    lblHead.Caption = "<HEAD>"
    lblBody.Caption = "<BODY>"
    lblKeywords.Caption = "<META name=" & Chr$(34) & "Keywords" & Chr$(34) & ">"
    lblDescription.Caption = "<META name=" & Chr$(34) & "Description" & Chr$(34) & ">"
    
End Sub


Private Sub Form_Resize()

    If Me.WindowState = vbMinimized Then Exit Sub
    
    If Me.Width < 6375 Then Me.Width = 6375
    If Me.Height < 4545 Then Me.Height = 4545
    fraHTML.Width = Me.Width - 210
    fraHTML.Height = Me.Height - fraHTML.Top - 460
    txtHTML.Width = fraHTML.Width - txtHTML.Left - 90
    txtBody.Width = txtHTML.Width
    txtHead.Width = txtHTML.Width
    txtKeywords.Width = txtHTML.Width
    txtDescription.Width = txtHTML.Width
    
End Sub


Private Sub Form_Unload(Cancel As Integer)
    Set mobjNetConnect = Nothing
    Set mobjURL = Nothing
    Set frmINetConnection_Test = Nothing
End Sub


